Subject: Re: Build regressions/improvements in v3.0-rc3

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 24 Jun 2011 08:08:06 +0200

Hi Stephen,

On Thu, Jun 23, 2011 at 13:27, Stephen Rothwell <[email-masked]> wrote:
> On Sat, 18 Jun 2011 18:30:29 +1000 Stephen Rothwell <[email-masked]> wrote:
>> On Wed, 15 Jun 2011 11:19:48 +0200 Geert Uytterhoeven <[email-masked]> wrote:
>> > Would it be possible to build with `make -k', so it continues in case
>> > of an error, and
>> > tries to build as much as possible?
>> > Yes, I know this may increase build time considerably, but in an ideal
>> > world, there
>> > are no compile errors and everything is built anyway ;-)
>>
>> Done (I think - it required very simple changes to a Python script and I
>> only do "monkey see, monkey do" Python programming :-))
>
> I also made the mistake of fixing things so that the automatic "git
> bisect for build failures" would work.  That was taking much too much
> time (over 4 hours for one build), so I have turned it off.  Hopefully,
> the builds will now run in a more reasonable time frame.

Yeah, I noticed it. There are still no results for 3.0-rc4...

Probably you should only bisect for configs that where "green" recently.
And hope people fix reported regressions the-next-day-as-we-speak :-)

Gr{oetje,eeting}s,

                        Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
                                -- Linus Torvalds